/*
 * Copyright (c) 2002, 2003, 2004 Jean-Yves Lefort
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of Jean-Yves Lefort nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND
 * CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
 * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
 * TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */

#ifndef _ST_DIALOG_API_H
#define _ST_DIALOG_API_H

#include <glib.h>
#include <stdarg.h>

G_BEGIN_DECLS

void		st_notice		(const char	*format,
					 ...) G_GNUC_PRINTF(1, 2);

void		st_info_dialog		(const char	*primary,
					 const char	*format,
					 ...) G_GNUC_PRINTF(2, 3);
void		st_error_dialog		(const char	*primary,
					 const char	*format,
					 ...) G_GNUC_PRINTF(2, 3);
char		*st_search_dialog	(void);
gboolean	st_auth_dialog		(const char	*default_name,
					 const char	*default_password,
					 char		**name,
					 char		**password,
					 const char	*primary,
					 const char	*format,
					 ...) G_GNUC_PRINTF(6, 7);

char		*st_dialog_normalize	(const char	*str);

#ifndef ST_DISABLE_DEPRECATED

void		st_warning		(const char	*format,
					 ...) G_GNUC_PRINTF(1, 2);
void		st_error		(const char	*format,
					 ...) G_GNUC_PRINTF(1, 2) G_GNUC_NORETURN;
int		st_question		(const char	*format,
					 ...) G_GNUC_PRINTF(1, 2);

char		*st_prompt		(gboolean	hidden,
					 const char	*init,
					 const char	*format,
					 ...) G_GNUC_PRINTF(3, 4);

#endif /* ! ST_DISABLE_DEPRECATED */

G_END_DECLS

#endif /* _ST_DIALOG_API_H */
